package migl.lisp;

public class LispImpl implements Lisp {
	
	@Override
	public Object parse(String expr) throws LispError {
		LispParser lp = new LispParser(expr);
		if(!lp.verify()) {
			throw new LispError("Invalid Format");
		}
		return lp.parse();
	}

	@Override
	public Object evaluate(Object lisp) throws LispError {
		LispEval le = new LispEval(lisp);
		return le.evaluate();
	}

}
